View Issue Details

IDProjectCategoryView StatusLast Update
0004565Talerexchangepublic2016-10-11 17:28
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityurgentSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004565: exchange assert-crashes on currency missmatch
Description(gdb) ba
#0 0x00007ffff645c458 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#1 0x00007ffff645d8da in __GI_abort () at abort.c:89
#2 0x00007ffff6e17ba2 in GNUNET_abort_ () at common_logging.c:291
#3 0x00007ffff72c3494 in TALER_amount_cmp (a1=0x7ffff023e550, a2=0x7ffff023e4f0) at amount.c:348
#4 0x00000000004089aa in execute_reserve_withdraw_transaction (connection=0x7fffe80008c0, session=0x7fffe80091e0, key_state=0x660770, reserve=0x7ffff023ea98, denomination_pub=0x7ffff023ea80, dki=0x6665e0,
    blinded_msg=0x7fffe8042d20 "\b}\024,L\200\n*\377\070py\304\063\247'\306\023\376{\325\f)\351\t\032h\250\"!?\240EE!B\227\034\301Ҝ\blC\343\215>R\177\343t\327\331<\274\025\323}\220<\270\022\352:\021cm`Zc\003D\220\031(\243\230M\212\262\064\232;\251\245U}\327#\b\347N\311ޡ\200\201\366w\206 \303\071\307\375\234\241ȅ\215\275\332\367rv4\221ڹ\363\004d9\261?\364\343", <incomplete sequence \347\220>, blinded_msg_len=128, h_blind=0x7ffff023e710, signature=0x7ffff023e9d0,
    denom_sig=0x7ffff023e750) at taler-exchange-httpd_db.c:726
#5 0x00000000004092a0 in TMH_DB_execute_reserve_withdraw (connection=0x7fffe80008c0, reserve=0x7ffff023ea98, denomination_pub=0x7ffff023ea80,
    blinded_msg=0x7fffe8042d20 "\b}\024,L\200\n*\377\070py\304\063\247'\306\023\376{\325\f)\351\t\032h\250\"!?\240EE!B\227\034\301Ҝ\blC\343\215>R\177\343t\327\331<\274\025\323}\220<\270\022\352:\021cm`Zc\003D\220\031(\243\230M\212\262\064\232;\251\245U}\327#\b\347N\311ޡ\200\201\366w\206 \303\071\307\375\234\241ȅ\215\275\332\367rv4\221ڹ\363\004d9\261?\364\343", <incomplete sequence \347\220>, blinded_msg_len=128, signature=0x7ffff023e9d0)
    at taler-exchange-httpd_db.c:851
#6 0x00000000004132b3 in TMH_RESERVE_handler_reserve_withdraw (rh=0x61ccb8 <handlers+504>, connection=0x7fffe80008c0, connection_cls=0x7fffe8000918, upload_data=0x0, upload_data_size=0x7ffff023ec18)
    at taler-exchange-httpd_reserve.c:176
#7 0x0000000000404610 in handle_mhd_request (cls=0x0, connection=0x7fffe80008c0, url=0x7fffe8000a85 "/reserve/withdraw", method=0x7fffe8000a80 "POST", version=0x7fffe8000a97 "HTTP/1.1", upload_data=0x0,
    upload_data_size=0x7ffff023ec18, con_cls=0x7fffe8000918) at taler-exchange-httpd.c:363
#8 0x00007ffff708f322 in call_connection_handler (connection=0x7fffe80008c0) at connection.c:1619
#9 0x00007ffff7092425 in MHD_connection_handle_idle (connection=0x7fffe80008c0) at connection.c:2659
#10 0x00007ffff7095af7 in call_handlers (con=0x7fffe80008c0, read_ready=1, write_ready=0, force_close=0) at daemon.c:864
#11 0x00007ffff709ac48 in MHD_run_from_select (daemon=0x65d130, read_fd_set=0x7ffff023ee70, write_fd_set=0x7ffff023edf0, except_fd_set=0x7ffff023ed70) at daemon.c:2384
#12 0x00007ffff709b3d4 in MHD_select (daemon=0x65d130, may_block=1) at daemon.c:2531
#13 0x00007ffff709cfab in MHD_select_thread (cls=0x65d130) at daemon.c:3067
#14 0x00007ffff67d4454 in start_thread (arg=0x7ffff023f700) at pthread_create.c:334
#15 0x00007ffff6511e5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109
TagsNo tags attached.

Activities

Christian Grothoff

2016-06-08 22:14

manager   ~0010879

f50d4b0..3b9248e should fix this.

Issue History

Date Modified Username Field Change
2016-06-07 16:54 Christian Grothoff New Issue
2016-06-07 16:54 Christian Grothoff Status new => assigned
2016-06-07 16:54 Christian Grothoff Assigned To => Christian Grothoff
2016-06-08 22:14 Christian Grothoff Note Added: 0010879
2016-06-08 22:16 Christian Grothoff Status assigned => resolved
2016-06-08 22:16 Christian Grothoff Fixed in Version => 0.1
2016-06-08 22:16 Christian Grothoff Resolution open => fixed
2016-10-11 17:28 Christian Grothoff Status resolved => closed